Index: asp3_gr_sakura/trunk/kernel/interrupt.trb
===================================================================
--- asp3_gr_sakura/trunk/kernel/interrupt.trb	(revision 317)
+++ asp3_gr_sakura/trunk/kernel/interrupt.trb	(revision 318)
@@ -9,63 +9,48 @@
 #               Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
-# 
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
-# 
-#   $Id: interrupt.trb 678 2016-03-06 02:36:09Z ertl-hiro $
-# 
-
-#
-#		å²è¾¼ã¿ç®¡çæ©è½ã®çæã¹ã¯ãªãã
-#
-
-#
-#  kernel_cfg.cã®çæ
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
+# 
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
+# 
+#   $Id$
+# 
+
+#
+#		割込み管理機能の生成スクリプト
+#
+
+#
+#  kernel_cfg.cの生成
 #
 $kernelCfgC.comment_header("Interrupt Management Functions")
 
 #
-#  CRE_ISRã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·ã®ã
-#  ãã©ã«ãå®ç¾©
+#  CRE_ISRで使用できる割込み番号とそれに対応する割込みハンドラ番号のデ
+#  フォルト定義
 #
 if $INTNO_CREISR_VALID.nil?
@@ -77,6 +62,5 @@
 
 #
-#  CFG_INTã§ä½¿ç¨ã§ããå²è¾¼ã¿åªå
-åº¦ã®ããã©ã«ãå®ç¾©
+#  CFG_INTで使用できる割込み優先度のデフォルト定義
 # 
 if $INTPRI_CFGINT_VALID.nil?
@@ -85,5 +69,5 @@
 
 #
-#  å²è¾¼ã¿çªå·ã¨å²è¾¼ã¿ãã³ãã©çªå·ã®å¤æãã¼ãã«ã®ä½æ
+#  割込み番号と割込みハンドラ番号の変換テーブルの作成
 #
 if $INTNO_CREISR_VALID.length != $INHNO_CREISR_VALID.length
@@ -101,27 +85,26 @@
 
 #
-#  å²è¾¼ã¿è¦æ±ã©ã¤ã³ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込み要求ラインに関するエラーチェック
 #
 $cfgData[:CFG_INT].each do |key, params|
-  #	intnoãå²è¾¼ã¿çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼ï¼»NGKI2972ï¼½
+  #	intnoが割込み番号として正しくない場合（E_PAR）［NGKI2972］
   if $INTNO_VALID.index(params[:intno]).nil?
     error_illegal("E_PAR", params, :intno)
   end
 
-  #	intatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2969ï¼½
-  #ï¼TA_ENAINTï¼TA_EDGEï¼TARGET_INTATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  #	intatrが無効の場合（E_RSATR）［NGKI2969］
+  #（TA_ENAINT，TA_EDGE，TARGET_INTATR以外のビットがセットされている場合）
   if (params[:intatr] & ~($TA_ENAINT|$TA_EDGE|$TARGET_INTATR)) != 0
     error_illegal_sym("E_RSATR", params, :intatr, :intno)
   end
 
-  #	intpriãCFG_INTã«å¯¾ããå²è¾¼ã¿åªå
-åº¦ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI2973ï¼½
+  #	intpriがCFG_INTに対する割込み優先度として正しくない場合（E_PAR）
+  #	［NGKI2973］
   if $INTPRI_CFGINT_VALID.index(params[:intpri]).nil?
     error_illegal_sym("E_OBJ", params, :intpri, :intno)
   end
 
-  # ã«ã¼ãã«ç®¡çå¤ã«åºå®ããã¦ããintnoã«å¯¾ãã¦ï¼intpriã«TMIN_INTPRIã
-  #	ããå°ããå¤ãæå®ãããªãã£ãå ´åï¼E_OBJï¼ï¼»NGKI2983ï¼½
+  # カーネル管理外に固定されているintnoに対して，intpriにTMIN_INTPRIよ
+  #	りも小さい値が指定されなかった場合（E_OBJ）［NGKI2983］
   if !$INTNO_FIX_NONKERNEL.nil?
     if !$INTNO_FIX_NONKERNEL.index(params[:intno]).nil?
@@ -133,6 +116,6 @@
   end
 
-  #	ã«ã¼ãã«ç®¡çã«åºå®ããã¦ããintnoã«å¯¾ãã¦ï¼intpriã«TMIN_INTPRIãã
-  #	ãå°ããå¤ãæå®ãããå ´åï¼E_OBJï¼ï¼»NGKI2984ï¼½
+  #	カーネル管理に固定されているintnoに対して，intpriにTMIN_INTPRIより
+  #	も小さい値が指定された場合（E_OBJ）［NGKI2984］
   if !$INTNO_FIX_KERNEL.nil?
     if !$INTNO_FIX_KERNEL.index(params[:intno]).nil?
@@ -146,20 +129,20 @@
 
 #
-#  å²è¾¼ã¿ãã³ãã©ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込みハンドラに関するエラーチェック
 #
 $cfgData[:DEF_INH].each do |key, params|
-  # inhnoãå²è¾¼ã¿ãã³ãã©çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼ï¼»NGKI3055ï¼½
+  # inhnoが割込みハンドラ番号として正しくない場合（E_PAR）［NGKI3055］
   if $INHNO_VALID.index(params[:inhno]).nil?
     error_illegal("E_PAR", params, :inhno)
   end
 
-  # inhatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3052ï¼½
-  #ï¼TARGET_INHATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  # inhatrが無効の場合（E_RSATR）［NGKI3052］
+  #（TARGET_INHATR以外のビットがセットされている場合）
   if (params[:inhatr] & ~($TARGET_INHATR)) != 0
     error_illegal_sym("E_RSATR", params, :inhatr, :inhno)
   end
 
-  #	ã«ã¼ãã«ç®¡çå¤ã«åºå®ããã¦ããinhnoã«å¯¾ãã¦ï¼inhatrã«TA_NONKERNELã
-  #	æå®ããã¦ããªãå ´åï¼E_RSATRï¼ï¼»NGKI3067ï¼½
+  #	カーネル管理外に固定されているinhnoに対して，inhatrにTA_NONKERNELが
+  #	指定されていない場合（E_RSATR）［NGKI3067］
   if !$INHNO_FIX_NONKERNEL.nil?
     if !$INHNO_FIX_NONKERNEL.index(params[:inhno]).nil?
@@ -171,6 +154,6 @@
   end
 
-  #	ã«ã¼ãã«ç®¡çã«åºå®ããã¦ããinhnoã«å¯¾ãã¦ï¼inhatrã«TA_NONKERNELãæ
-  #	å®ããã¦ããå ´åï¼E_RSATRï¼ï¼»NGKI3068ï¼½
+  #	カーネル管理に固定されているinhnoに対して，inhatrにTA_NONKERNELが指
+  #	定されている場合（E_RSATR）［NGKI3068］
   if !$INHNO_FIX_KERNEL.nil?
     if !$INHNO_FIX_KERNEL.index(params[:inhno]).nil?
@@ -185,5 +168,5 @@
     intnoVal = $toIntnoVal[params[:inhno].val]
 
-    # inhnoã«å¯¾å¿ããintnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3062ï¼½
+    # inhnoに対応するintnoに対するCFG_INTがない場合（E_OBJ）［NGKI3062］
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
       error_ercd("E_OBJ", params, "intno `#{intnoVal}' corresponding to " \
@@ -192,8 +175,7 @@
       intnoParams = $cfgData[:CFG_INT][intnoVal]
       if (params[:inhatr] & $TA_NONKERNEL) == 0
-        # inhatrã«TA_NONKERNELãæå®ããã¦ãããï¼inhnoã«å¯¾å¿ããintno
-        # ã«å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIãããå°
-        # ããå ´åï¼E_OBJï¼ï¼»NGKI3065ï¼½
+        # inhatrにTA_NONKERNELが指定されておらず，inhnoに対応するintno
+        # に対してCFG_INTで設定された割込み優先度がTMIN_INTPRIよりも小
+        # さい場合（E_OBJ）［NGKI3065］
         if intnoParams[:intpri] < $TMIN_INTPRI
           error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
@@ -201,8 +183,7 @@
         end
       else
-        # inhatrã«TA_NONKERNELãæå®ããã¦ããï¼inhnoã«å¯¾å¿ããintnoã«
-        # å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIä»¥ä¸ã§ãã
-        # å ´åï¼E_OBJï¼ï¼»NGKI3066ï¼½
+        # inhatrにTA_NONKERNELが指定されており，inhnoに対応するintnoに
+        # 対してCFG_INTで設定された割込み優先度がTMIN_INTPRI以上である
+        # 場合（E_OBJ）［NGKI3066］
         if intnoParams[:intpri] >= $TMIN_INTPRI
           error_ercd("E_OBJ", params, "intpri `#{intnoParams[:intpri]}' " \
@@ -215,21 +196,21 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼ã«é¢ããã¨ã©ã¼ãã§ãã¯
+#  割込みサービスルーチン（ISR）に関するエラーチェック
 #
 $cfgData[:CRE_ISR].sort.each do |key, params|
-  #	isratrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2998ï¼½
-  #ï¼TARGET_ISRATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+  #	isratrが無効の場合（E_RSATR）［NGKI2998］
+  #（TARGET_ISRATR以外のビットがセットされている場合）
   if (params[:isratr] & ~($TARGET_ISRATR)) != 0
     error_illegal("E_RSATR", params, "isratr")
   end
 
-  #	intnoãCRE_ISRã«å¯¾ããå²è¾¼ã¿çªå·ã¨ãã¦æ­£ãããªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI3003ï¼½
+  #	intnoがCRE_ISRに対する割込み番号として正しくない場合（E_PAR）
+  #	［NGKI3003］
   if $INTNO_CREISR_VALID.index(params[:intno]).nil?
     error_illegal("E_PAR", params, "intno")
   end
 
-  #	(TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)ã§ãªãå ´åï¼E_PARï¼
-  #	ï¼»NGKI3005ï¼½
+  #	(TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)でない場合（E_PAR）
+  #	［NGKI3005］
   if !($TMIN_ISRPRI <= params[:isrpri] && params[:isrpri] <= $TMAX_ISRPRI)
     error_illegal("E_PAR", params, "isrpri")
@@ -238,5 +219,5 @@
 
 $INTNO_CREISR_VALID.each do |intnoVal|
-  # å²è¾¼ã¿çªå·intnoã«å¯¾ãã¦ç»é²ãããISRã®ãªã¹ãã®ä½æ
+  # 割込み番号intnoに対して登録されたISRのリストの作成
   isrParamsList = []
   $cfgData[:CRE_ISR].sort.each do |key, params|
@@ -246,9 +227,9 @@
   end
 
-  #	å²è¾¼ã¿çªå·intnoã«å¯¾ãã¦ç»é²ãããISRãå­å¨ããå ´å
+  #	割込み番号intnoに対して登録されたISRが存在する場合
   if isrParamsList.size > 0
     inhnoVal = $toInhnoVal[intnoVal]
 
-    # intnoã«å¯¾å¿ããinhnoã«å¯¾ãã¦DEF_INHãããå ´åï¼E_OBJï¼ï¼»NGKI3013ï¼½
+    # intnoに対応するinhnoに対してDEF_INHがある場合（E_OBJ）［NGKI3013］
     if $cfgData[:DEF_INH].has_key?(inhnoVal)
       inhnoParams = $cfgData[:DEF_INH][inhnoVal]
@@ -257,5 +238,5 @@
     end
 
-    # intnoã«å¯¾ããCFG_INTããªãå ´åï¼E_OBJï¼ï¼»NGKI3012ï¼½
+    # intnoに対するCFG_INTがない場合（E_OBJ）［NGKI3012］
     if !$cfgData[:CFG_INT].has_key?(intnoVal)
       error_ercd("E_OBJ", isrParamsList[0], "%%intno in %apiname " \
@@ -264,7 +245,6 @@
       intnoParams = $cfgData[:CFG_INT][intnoVal]
 
-      #	intnoã«å¯¾ãã¦CFG_INTã§è¨­å®ãããå²è¾¼ã¿åªå
-åº¦ãTMIN_INTPRIããã
-      #	å°ããå ´åï¼E_OBJï¼ï¼»NGKI3014ï¼½
+      #	intnoに対してCFG_INTで設定された割込み優先度がTMIN_INTPRIよりも
+      #	小さい場合（E_OBJ）［NGKI3014］
       if intnoParams[:intpri] < $TMIN_INTPRI
         error_ercd("E_OBJ", isrParamsList[0],
@@ -277,5 +257,5 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼ç®¡çã®ãã¼ã¿æ§é 
+#  割込みサービスルーチン（ISR）管理のデータ構造
 #
 intnoIsrList = []
@@ -313,10 +293,10 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ï¼ISRï¼å¼åºãã®ããã®å²è¾¼ã¿ãã³ãã©
+#  割込みサービスルーチン（ISR）呼出しのための割込みハンドラ
 #
 intnoIsrList.each do |intnoVal|
   inhnoVal = $toInhnoVal[intnoVal]
 
-  # æ¬¡ã®DEF_INHã«ç¸å½ãããã¼ã¿ãçæ
+  # 次のDEF_INHに相当するデータを生成
   # DEF_INH(inhno, { TA_NULL, _kernel_inthdr_<intno> } );
   $cfgData[:DEF_INH][inhnoVal] = {
@@ -326,5 +306,5 @@
   }
 
-  # å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ç¨ã®å²è¾¼ã¿ãã³ãã©
+  # 割込みサービスルーチン用の割込みハンドラ
   $kernelCfgC.add("void")
   $kernelCfgC.add("_kernel_inthdr_#{intnoVal}(void)")
@@ -335,6 +315,5 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã«é¢ããä¸è¬çãªæ
-å ±ã®çæ
+#  割込みサービスルーチンに関する一般的な情報の生成
 #
 class IsrObject < KernelObject
@@ -344,5 +323,5 @@
 
   def prepare(key, params)
-    # ã¨ã©ã¼ãã§ãã¯ã¯å®æ½æ¸ã¿ãªã®ã§ï¼ããã§ã®å¦çã¯ä¸è¦
+    # エラーチェックは実施済みなので，ここでの処理は不要
   end
 
@@ -355,5 +334,5 @@
 IsrObject.new.generate()
 
-# å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³çæé åºãã¼ãã«ã®çæ
+# 割込みサービスルーチン生成順序テーブルの生成
 $kernelCfgC.add("const ID _kernel_isrorder_table[TNUM_SISRID] = { ")
 $kernelCfgC.append("\t")
@@ -366,10 +345,9 @@
 
 #
-#  å²è¾¼ã¿ãã³ãã©ã®ããã®æ¨æºçãªåæåæ
-å ±ã®çæ
+#  割込みハンドラのための標準的な初期化情報の生成
 #
 if !$OMIT_INITIALIZE_INTERRUPT || $USE_INHINIB_TABLE
   #
-  #  å®ç¾©ããå²è¾¼ã¿ãã³ãã©ã®æ°
+  #  定義する割込みハンドラの数
   #
   $kernelCfgC.add(<<EOS)
@@ -380,5 +358,5 @@
   if $cfgData[:DEF_INH].size != 0
     #
-    #  å²è¾¼ã¿ãã³ãã©ã®ã¨ã³ããª
+    #  割込みハンドラのエントリ
     #
     $cfgData[:DEF_INH].each do |key, params|
@@ -391,5 +369,5 @@
 
     #
-    #  å²è¾¼ã¿ãã³ãã©åæåãã­ãã¯
+    #  割込みハンドラ初期化ブロック
     #
     $kernelCfgC.add("const INHINIB _kernel_inhinib_table[TNUM_DEF_INHNO] = {")
@@ -413,10 +391,9 @@
 
 #
-#  å²è¾¼ã¿è¦æ±ã©ã¤ã³ã®ããã®æ¨æºçãªåæåæ
-å ±ã®çæ
+#  割込み要求ラインのための標準的な初期化情報の生成
 #
 if !$OMIT_INITIALIZE_INTERRUPT || $USE_INTINIB_TABLE
   #
-  #  è¨­å®ããå²è¾¼ã¿è¦æ±ã©ã¤ã³ã®æ°
+  #  設定する割込み要求ラインの数
   #
   $kernelCfgC.add(<<EOS)
@@ -426,5 +403,5 @@
 
   #
-  #  å²è¾¼ã¿è¦æ±ã©ã¤ã³åæåãã­ãã¯
+  #  割込み要求ライン初期化ブロック
   #
   if $cfgData[:CFG_INT].size != 0
@@ -444,5 +421,5 @@
 
 #
-#  å²è¾¼ã¿ç®¡çæ©è½åæåé¢æ°ã®è¿½å 
+#  割込み管理機能初期化関数の追加
 #
 $initializeFunctions.push("_kernel_initialize_interrupt();")
